#pragma once
#include "Engine/LocalPlayer.h"
#include "SceneView.h"

#include "VentuzLocalPlayer.generated.h"

UCLASS()
class UVentuzLocalPlayer : public ULocalPlayer
{
    GENERATED_BODY()

public:

    virtual FSceneView* CalcSceneView(class FSceneViewFamily* ViewFamily, FVector& OutViewLocation, FRotator& OutViewRotation, FViewport* Viewport, class FViewElementDrawer* ViewDrawer = NULL, EStereoscopicPass StereoPass = eSSP_FULL ) override;

};